Index: /branches/proxy/src/lib/network/handshake.cc
===================================================================
--- /branches/proxy/src/lib/network/handshake.cc	(revision 9302)
+++ /branches/proxy/src/lib/network/handshake.cc	(revision 9303)
@@ -130,5 +130,5 @@
         continue;
       }
-      else if( remoteState.nodeType == NET_PROXY_SERVER)
+      else if( remoteState.nodeType == NET_PROXY_SERVER_ACTIVE)
       {
         continue;
Index: /branches/proxy/src/lib/network/monitor/network_monitor.cc
===================================================================
--- /branches/proxy/src/lib/network/monitor/network_monitor.cc	(revision 9302)
+++ /branches/proxy/src/lib/network/monitor/network_monitor.cc	(revision 9303)
@@ -60,5 +60,5 @@
     PeerInfo* peer = new PeerInfo();
     peer->ip = *(*it);
-    peer->nodeType = NET_PROXY_SERVER;
+    peer->nodeType = NET_PROXY_SERVER_ACTIVE;
     peer->userId = -1;
 
Index: /branches/proxy/src/lib/network/network_stream.cc
===================================================================
--- /branches/proxy/src/lib/network/network_stream.cc	(revision 9302)
+++ /branches/proxy/src/lib/network/network_stream.cc	(revision 9303)
@@ -266,5 +266,5 @@
     this->updateConnectionList();
   }
-  else if( this->pInfo->nodeType == NET_PROXY_SERVER)
+  else if( this->pInfo->nodeType == NET_PROXY_SERVER_ACTIVE)
   {
     // execute everything the proxy server should do
Index: /branches/proxy/src/lib/network/network_stream.h
===================================================================
--- /branches/proxy/src/lib/network/network_stream.h	(revision 9302)
+++ /branches/proxy/src/lib/network/network_stream.h	(revision 9303)
@@ -49,5 +49,5 @@
     /* functions for the localhost settings */
     inline bool isMasterServer() const { return (this->pInfo->nodeType == NET_MASTER_SERVER)? true:false; }
-    inline bool isProxyServer() const { return (this->pInfo->nodeType == NET_PROXY_SERVER)? true:false; }
+    inline bool isProxyServer() const { return (this->pInfo->nodeType == NET_PROXY_SERVER_ACTIVE)? true:false; }
     inline bool isClient() const { return (this->pInfo->nodeType == NET_CLIENT)? true:false; }
 //     inline bool isActive() const { return this->bActive; }
Index: /branches/proxy/src/lib/network/peer_info.cc
===================================================================
--- /branches/proxy/src/lib/network/peer_info.cc	(revision 9302)
+++ /branches/proxy/src/lib/network/peer_info.cc	(revision 9303)
@@ -58,5 +58,5 @@
     case NET_CLIENT:
       return std::string("client");
-    case NET_PROXY_SERVER:
+    case NET_PROXY_SERVER_ACTIVE:
       return std::string("proxy server");
     case NET_MASTER_SERVER:
Index: /branches/proxy/src/lib/network/peer_info.h
===================================================================
--- /branches/proxy/src/lib/network/peer_info.h	(revision 9302)
+++ /branches/proxy/src/lib/network/peer_info.h	(revision 9303)
@@ -23,5 +23,5 @@
 
     inline bool isMasterServer() { return this->nodeType == NET_MASTER_SERVER; }
-    inline bool isProxyServer() { return this->nodeType == NET_PROXY_SERVER; }
+    inline bool isProxyServer() { return this->nodeType == NET_PROXY_SERVER_ACTIVE; }
     inline bool isClient() { return this->nodeType == NET_CLIENT; }
 
Index: /branches/proxy/src/lib/network/shared_network_data.h
===================================================================
--- /branches/proxy/src/lib/network/shared_network_data.h	(revision 9302)
+++ /branches/proxy/src/lib/network/shared_network_data.h	(revision 9303)
@@ -31,5 +31,5 @@
     inline bool isMasterServer() { return this->nodeType == NET_MASTER_SERVER; }
     /** @returns true is this node is a proxy server */
-    inline bool isProxyServer() { return this->nodeType == NET_PROXY_SERVER; }
+    inline bool isProxyServer() { return this->nodeType == NET_PROXY_SERVER_ACTIVE; }
     /** @returns true is this node is a client*/
     inline bool isClient() { return this->nodeType == NET_CLIENT; }