Index: code/branches/presentation2012merge/src/modules/pickup/items/DamageBoostPickup.cc
===================================================================
--- code/branches/presentation2012merge/src/modules/pickup/items/DamageBoostPickup.cc	(revision 9279)
+++ code/branches/presentation2012merge/src/modules/pickup/items/DamageBoostPickup.cc	(revision 9305)
@@ -82,16 +82,6 @@
     void DamageBoostPickup::initializeIdentifier(void)
     {
-        std::stringstream stream;
-        stream << this->getDuration();
-        std::string type1 = "duration";
-        std::string val1 = stream.str();
-        this->pickupIdentifier_->addParameter(type1, val1);
-
-        stream.clear();
-        stream << this->getDamageMultiplier();
-        std::string type2 = "damageMultiplier";
-        std::string val2 = stream.str();
-        this->pickupIdentifier_->addParameter(type2, val2);
-
+        this->pickupIdentifier_->addParameter("duration", this->getDuration());
+        this->pickupIdentifier_->addParameter("damageMultiplier", this->getDamageMultiplier());
     }
 
Index: code/branches/presentation2012merge/src/modules/pickup/items/DronePickup.cc
===================================================================
--- code/branches/presentation2012merge/src/modules/pickup/items/DronePickup.cc	(revision 9279)
+++ code/branches/presentation2012merge/src/modules/pickup/items/DronePickup.cc	(revision 9305)
@@ -85,7 +85,5 @@
     void DronePickup::initializeIdentifier(void)
     {
-        std::string val = this->getDroneTemplate();
-        std::string type = "droneTemplate";
-        this->pickupIdentifier_->addParameter(type, val);
+        this->pickupIdentifier_->addParameter("droneTemplate", this->getDroneTemplate());
     }
 
Index: code/branches/presentation2012merge/src/modules/pickup/items/HealthPickup.cc
===================================================================
--- code/branches/presentation2012merge/src/modules/pickup/items/HealthPickup.cc	(revision 9279)
+++ code/branches/presentation2012merge/src/modules/pickup/items/HealthPickup.cc	(revision 9305)
@@ -91,19 +91,7 @@
     void HealthPickup::initializeIdentifier(void)
     {
-        std::stringstream stream;
-        stream << this->getHealth();
-        std::string type1 = "health";
-        std::string val1 = stream.str();
-        this->pickupIdentifier_->addParameter(type1, val1);
-
-        std::string val2 = this->getHealthType();
-        std::string type2 = "healthType";
-        this->pickupIdentifier_->addParameter(type2, val2);
-
-        stream.clear();
-        stream << this->getHealthRate();
-        std::string val3 = stream.str();
-        std::string type3 = "healthRate";
-        this->pickupIdentifier_->addParameter(type3, val3);
+        this->pickupIdentifier_->addParameter("health", this->getHealth());
+        this->pickupIdentifier_->addParameter("healthType", this->getHealthType());
+        this->pickupIdentifier_->addParameter("healthRate", this->getHealthRate());
     }
 
Index: code/branches/presentation2012merge/src/modules/pickup/items/InvisiblePickup.cc
===================================================================
--- code/branches/presentation2012merge/src/modules/pickup/items/InvisiblePickup.cc	(revision 9279)
+++ code/branches/presentation2012merge/src/modules/pickup/items/InvisiblePickup.cc	(revision 9305)
@@ -83,9 +83,5 @@
     void InvisiblePickup::initializeIdentifier(void)
     {
-        std::stringstream stream;
-        stream << this->getDuration();
-        std::string type1 = "duration";
-        std::string val1 = stream.str();
-        this->pickupIdentifier_->addParameter(type1, val1);
+        this->pickupIdentifier_->addParameter("duration", this->getDuration());
     }
 
Index: code/branches/presentation2012merge/src/modules/pickup/items/MetaPickup.cc
===================================================================
--- code/branches/presentation2012merge/src/modules/pickup/items/MetaPickup.cc	(revision 9279)
+++ code/branches/presentation2012merge/src/modules/pickup/items/MetaPickup.cc	(revision 9305)
@@ -90,7 +90,5 @@
     void MetaPickup::initializeIdentifier(void)
     {
-        std::string val = this->getMetaType();
-        std::string type = "metaType";
-        this->pickupIdentifier_->addParameter(type, val);
+        this->pickupIdentifier_->addParameter("metaType", this->getMetaType());
     }
 
Index: code/branches/presentation2012merge/src/modules/pickup/items/ShieldPickup.cc
===================================================================
--- code/branches/presentation2012merge/src/modules/pickup/items/ShieldPickup.cc	(revision 9279)
+++ code/branches/presentation2012merge/src/modules/pickup/items/ShieldPickup.cc	(revision 9305)
@@ -84,22 +84,7 @@
     void ShieldPickup::initializeIdentifier(void)
     {
-        std::stringstream stream;
-        stream << this->getDuration();
-        std::string type1 = "duration";
-        std::string val1 = stream.str();
-        this->pickupIdentifier_->addParameter(type1, val1);
-
-        stream.clear();
-        stream << this->getShieldHealth();
-        std::string type2 = "ShieldHealth";
-        std::string val2 = stream.str();
-        this->pickupIdentifier_->addParameter(type2, val2);
-
-        stream.clear();
-        stream << this->getShieldAbsorption();
-        std::string type3 = "ShieldAbsorption";
-        std::string val3 = stream.str();
-        this->pickupIdentifier_->addParameter(type3, val3);
-
+        this->pickupIdentifier_->addParameter("duration", this->getDuration());
+        this->pickupIdentifier_->addParameter("ShieldHealth", this->getShieldHealth());
+        this->pickupIdentifier_->addParameter("ShieldAbsorption", this->getShieldAbsorption());
     }
 
Index: code/branches/presentation2012merge/src/modules/pickup/items/ShrinkPickup.cc
===================================================================
--- code/branches/presentation2012merge/src/modules/pickup/items/ShrinkPickup.cc	(revision 9279)
+++ code/branches/presentation2012merge/src/modules/pickup/items/ShrinkPickup.cc	(revision 9305)
@@ -83,21 +83,7 @@
     void ShrinkPickup::initializeIdentifier(void)
     {
-        std::stringstream stream;
-        stream << this->getShrinkFactor();
-        std::string type1 = "shrinkFactor";
-        std::string val1 = stream.str();
-        this->pickupIdentifier_->addParameter(type1, val1);
-
-        stream.clear();
-        stream << this->getDuration();
-        std::string val2 = stream.str();
-        std::string type2 = "duration";
-        this->pickupIdentifier_->addParameter(type2, val2);
-
-        stream.clear();
-        stream << this->getShrinkDuration();
-        std::string val3 = stream.str();
-        std::string type3 = "shrinkDuration";
-        this->pickupIdentifier_->addParameter(type3, val3);
+        this->pickupIdentifier_->addParameter("shrinkFactor", this->getShrinkFactor());
+        this->pickupIdentifier_->addParameter("duration", this->getDuration());
+        this->pickupIdentifier_->addParameter("shrinkDuration", this->getShrinkDuration());
     }
 
Index: code/branches/presentation2012merge/src/modules/pickup/items/SpeedPickup.cc
===================================================================
--- code/branches/presentation2012merge/src/modules/pickup/items/SpeedPickup.cc	(revision 9279)
+++ code/branches/presentation2012merge/src/modules/pickup/items/SpeedPickup.cc	(revision 9305)
@@ -84,21 +84,7 @@
     void SpeedPickup::initializeIdentifier(void)
     {
-        std::stringstream stream;
-        stream << this->getDuration();
-        std::string type1 = "duration";
-        std::string val1 = stream.str();
-        this->pickupIdentifier_->addParameter(type1, val1);
-
-        stream.clear();
-        stream << this->getSpeedAdd();
-        std::string type2 = "speedAdd";
-        std::string val2 = stream.str();
-        this->pickupIdentifier_->addParameter(type2, val2);
-
-        stream.clear();
-        stream << this->getSpeedMultiply();
-        std::string type3 = "speedMultiply";
-        std::string val3 = stream.str();
-        this->pickupIdentifier_->addParameter(type3, val3);
+        this->pickupIdentifier_->addParameter("duration", this->getDuration());
+        this->pickupIdentifier_->addParameter("speedAdd", this->getSpeedAdd());
+        this->pickupIdentifier_->addParameter("speedMultiply", this->getSpeedMultiply());
     }
 