Index: /data/pool/images/effects/AUTHORS
===================================================================
--- /data/pool/images/effects/AUTHORS	(revision 9310)
+++ /data/pool/images/effects/AUTHORS	(revision 9311)
@@ -34,4 +34,7 @@
 pickup/asterisk.png                          Damian Frick
 pickup/cross.png                             Damian Frick
+pickup/damageLarge.png                       lkevin
+pickup/damageMedium.png                      lkevin
+pickup/damageSmall.png                       lkevin
 pickup/eye.png                               Eric Beier and Benedict Simlinger
 pickup/shield.png                            Eric Beier and Benedict Simlinger
Index: /data/pool/images/effects/TODO
===================================================================
--- /data/pool/images/effects/TODO	(revision 9311)
+++ /data/pool/images/effects/TODO	(revision 9311)
@@ -0,0 +1,1 @@
+* Add info.xml
Index: /data/pool/images/effects/pickup/info.xml
===================================================================
--- /data/pool/images/effects/pickup/info.xml	(revision 9310)
+++ /data/pool/images/effects/pickup/info.xml	(revision 9311)
@@ -4,4 +4,5 @@
     <author for="3arrowsup.png, eye.png, shield.png">Eric Beier</author>
     <author for="3arrowsup.png, eye.png, shield.png">Benedict Simlinger</author>
+    <author for="damageLarge.png, damageMedium.png, damageSmall.png">lkevin</author>
     <dependency for="3arrowsup.png">/materials/3arrowsup.material</dependency>
     <dependency for="arrow.png">/materials/Arrow.material</dependency>
@@ -10,3 +11,6 @@
     <dependency for="eye.png">/materials/Eye.material</dependency>
     <dependency for="shield.png">/materials/Shield.material</dependency>
+    <dependency for="damageLarge.png">/materials/damageLarge.material</dependency>
+    <dependency for="damageMedium.png">/materials/damageMedium.material</dependency>
+    <dependency for="damageSmall.png">/materials/damageSmall.material</dependency>
 </info>
Index: /data/pool/images/effects/planets/info.xml
===================================================================
--- /data/pool/images/effects/planets/info.xml	(revision 9310)
+++ /data/pool/images/effects/planets/info.xml	(revision 9311)
@@ -1,12 +1,5 @@
 <info>
-    <name>Pickup billboards</name>
-    <author for="arrow.png, asterix,png, cross.png">Damian Frick</author>
-    <author for="3arrowsup.png, eye.png, shield.png">Eric Beier</author>
-    <author for="3arrowsup.png, eye.png, shield.png">Benedict Simlinger</author>
-    <dependency for="3arrowsup.png">/materials/3arrowsup.material</dependency>
-    <dependency for="arrow.png">/materials/Arrow.material</dependency>
-    <dependency for="asterix,png">/materials/Asterix.material</dependency>
-    <dependency for="cross.png">/materials/Cross.material</dependency>
-    <dependency for="eye.png">/materials/Eye.material</dependency>
-    <dependency for="shield.png">/materials/Shield.material</dependency>
+    <name>Planets</name>
+    <author for="blueplanet.png, brownplanet.png, greenplanet.png, greyplanet.png, redplanet.png, violetplanet.png, violetplanet2.png">Damian Frick</author>
+    <dependency for="blueplanet.png, brownplanet.png, greenplanet.png, greyplanet.png, redplanet.png, violetplanet.png, violetplanet2.png">>/materials/planets.material</dependency>
 </info>
Index: /data/pool/images/gui/AUTHORS
===================================================================
--- /data/pool/images/gui/AUTHORS	(revision 9310)
+++ /data/pool/images/gui/AUTHORS	(revision 9311)
@@ -5,4 +5,5 @@
 FairChar.png                                     Reto Grieder?
 main_menu_1.jpg                                  Reto Grieder
+OrxonoxLook.png                                  Damian Frick
 pickup.png                                       Damian Frick, Eric Beier and Benedict Simlinger
 sleekspace.png                                   Seth Yastrov
Index: /data/pool/images/overlay/AUTHORS
===================================================================
--- /data/pool/images/overlay/AUTHORS	(revision 9310)
+++ /data/pool/images/overlay/AUTHORS	(revision 9311)
@@ -9,6 +9,6 @@
 bar2.png                                     Felix Schulthess
 centeroverlay.png                            Michael Wirth
-console2.png                                 Felix Schulthess
-console3.png                                 Felix Schulthess
+console2.png                                 Felix Schulthess, Fabian Landau
+console3.png                                 Felix Schulthess, Fabian Landau
 console4.png                                 Felix Schulthess
 console5.png                                 Reto Grieder
Index: /data/pool/images/skyboxes/AUTHORS
===================================================================
--- /data/pool/images/skyboxes/AUTHORS	(revision 9310)
+++ /data/pool/images/skyboxes/AUTHORS	(revision 9311)
@@ -2,4 +2,22 @@
 
 File                                        Author
+skybox1_bk.png                              Benjamin de Capitani
+skybox1_dn.png                              Benjamin de Capitani
+skybox1_fr.png                              Benjamin de Capitani
+skybox1_lf.png                              Benjamin de Capitani
+skybox1_rt.png                              Benjamin de Capitani
+skybox1_up.png                              Benjamin de Capitani
+skybox2_bk.png                              Benjamin de Capitani
+skybox2_dn.png                              Benjamin de Capitani
+skybox2_fr.png                              Benjamin de Capitani
+skybox2_lf.png                              Benjamin de Capitani
+skybox2_rt.png                              Benjamin de Capitani
+skybox2_up.png                              Benjamin de Capitani
+skybox3_bk.png                              Benjamin de Capitani
+skybox3_dn.png                              Benjamin de Capitani
+skybox3_fr.png                              Benjamin de Capitani
+skybox3_lf.png                              Benjamin de Capitani
+skybox3_rt.png                              Benjamin de Capitani
+skybox3_up.png                              Benjamin de Capitani
 skypanoramagen1_bk.jpg                      Fabian Landau?
 skypanoramagen1_dn.jpg                      Fabian Landau?