Index: /code/branches/presentation2012merge/src/modules/pickup/Pickup.cc
===================================================================
--- /code/branches/presentation2012merge/src/modules/pickup/Pickup.cc	(revision 9312)
+++ /code/branches/presentation2012merge/src/modules/pickup/Pickup.cc	(revision 9313)
@@ -102,6 +102,6 @@
         SUPER(Pickup, XMLPort, xmlelement, mode);
 
-        XMLPortParam(Pickup, "activationType", setActivationType, getActivationType, xmlelement, mode);
-        XMLPortParam(Pickup, "durationType", setDurationType, getDurationType, xmlelement, mode);
+        XMLPortParam(Pickup, "activationType", setActivationTypeAsString, getActivationTypeAsString, xmlelement, mode);
+        XMLPortParam(Pickup, "durationType", setDurationTypeAsString, getDurationTypeAsString, xmlelement, mode);
 
         this->initializeIdentifier();
@@ -114,7 +114,7 @@
         Returns a string containing the activation type.
     */
-    const std::string& Pickup::getActivationType(void) const
-    {
-        switch(this->activationType_)
+    const std::string& Pickup::getActivationTypeAsString(void) const
+    {
+        switch(this->getActivationType())
         {
             case pickupActivationType::immediate:
@@ -133,7 +133,7 @@
         Returns a string containing the duration type.
     */
-    const std::string& Pickup::getDurationType(void) const
-    {
-        switch(this->durationType_)
+    const std::string& Pickup::getDurationTypeAsString(void) const
+    {
+        switch(this->getDurationType())
         {
             case pickupDurationType::once:
@@ -152,10 +152,10 @@
         The activation type of the Pickup as a string.
     */
-    void Pickup::setActivationType(const std::string& type)
+    void Pickup::setActivationTypeAsString(const std::string& type)
     {
         if(type == Pickup::activationTypeImmediate_s)
-            this->activationType_ = pickupActivationType::immediate;
+            this->setActivationType(pickupActivationType::immediate);
         else if(type == Pickup::activationTypeOnUse_s)
-            this->activationType_ = pickupActivationType::onUse;
+            this->setActivationType(pickupActivationType::onUse);
         else
             orxout(internal_error, context::pickups) << "Invalid activationType '" << type << "' in " << this->getIdentifier()->getName() << "." << endl;
@@ -168,10 +168,10 @@
         The duration type of the Pickup as a string.
     */
-    void Pickup::setDurationType(const std::string& type)
+    void Pickup::setDurationTypeAsString(const std::string& type)
     {
         if(type == Pickup::durationTypeOnce_s)
-            this->durationType_ = pickupDurationType::once;
+            this->setDurationType(pickupDurationType::once);
         else if(type == Pickup::durationTypeContinuous_s)
-            this->durationType_ = pickupDurationType::continuous;
+            this->setDurationType(pickupDurationType::continuous);
         else
             orxout(internal_error, context::pickups) << "Invalid durationType '" << type << "' in " << this->getIdentifier()->getName() << "." << endl;
@@ -206,6 +206,6 @@
 
         Pickup* pickup = orxonox_cast<Pickup*>(item);
-        pickup->setActivationTypeDirect(this->getActivationTypeDirect());
-        pickup->setDurationTypeDirect(this->getDurationTypeDirect());
+        pickup->setActivationType(this->getActivationType());
+        pickup->setDurationType(this->getDurationType());
 
         pickup->initializeIdentifier();
Index: /code/branches/presentation2012merge/src/modules/pickup/Pickup.h
===================================================================
--- /code/branches/presentation2012merge/src/modules/pickup/Pickup.h	(revision 9312)
+++ /code/branches/presentation2012merge/src/modules/pickup/Pickup.h	(revision 9313)
@@ -109,5 +109,5 @@
             @return Returns the activation type of the Pickup.
             */
-            inline pickupActivationType::Value getActivationTypeDirect(void) const
+            inline pickupActivationType::Value getActivationType(void) const
                 { return this->activationType_; }
             /**
@@ -115,9 +115,9 @@
             @return Returns the duration type of the Pickup.
             */
-            inline pickupDurationType::Value getDurationTypeDirect(void) const
+            inline pickupDurationType::Value getDurationType(void) const
                 { return this->durationType_; }
 
-            const std::string& getActivationType(void) const; //!< Get the activation type of the Pickup.
-            const std::string& getDurationType(void) const; //!< Get the duration type of the Pickup.
+            const std::string& getActivationTypeAsString(void) const; //!< Get the activation type of the Pickup.
+            const std::string& getDurationTypeAsString(void) const; //!< Get the duration type of the Pickup.
 
             /**
@@ -126,5 +126,5 @@
             */
             inline bool isImmediate(void) const
-                { return this->getActivationTypeDirect() == pickupActivationType::immediate; }
+                { return this->getActivationType() == pickupActivationType::immediate; }
             /**
             @brief Get whether the activation type is 'onUse'.
@@ -132,5 +132,5 @@
             */
             inline bool isOnUse(void) const
-                { return this->getActivationTypeDirect() == pickupActivationType::onUse; }
+                { return this->getActivationType() == pickupActivationType::onUse; }
             /**
             @brief Get whether the duration type is 'once'.
@@ -138,5 +138,5 @@
             */
             inline bool isOnce(void) const
-                { return this->getDurationTypeDirect() == pickupDurationType::once; }
+                { return this->getDurationType() == pickupDurationType::once; }
             /**
             @brief Get whether the duration type is 'continuous'.
@@ -144,5 +144,5 @@
             */
             inline bool isContinuous(void) const
-                { return this->getDurationTypeDirect() == pickupDurationType::continuous; }
+                { return this->getDurationType() == pickupDurationType::continuous; }
 
             virtual void changedPickedUp(void); //!< Should be called when the pickup has transited from picked up to dropped or the other way around.
@@ -158,5 +158,5 @@
             @param type The activation type of the Pickup.
             */
-            inline void setActivationTypeDirect(pickupActivationType::Value type)
+            inline void setActivationType(pickupActivationType::Value type)
                 { this->activationType_ = type; }
             /**
@@ -164,9 +164,9 @@
             @param type The duration type of the Pickup.
             */
-            inline void setDurationTypeDirect(pickupDurationType::Value type)
+            inline void setDurationType(pickupDurationType::Value type)
                 { this->durationType_ = type; }
 
-            void setActivationType(const std::string& type); //!< Set the activation type of the Pickup.
-            void setDurationType(const std::string& type); //!< Set the duration type of the Pickup.
+            void setActivationTypeAsString(const std::string& type); //!< Set the activation type of the Pickup.
+            void setDurationTypeAsString(const std::string& type); //!< Set the duration type of the Pickup.
 
         private:
Index: /code/branches/presentation2012merge/src/modules/pickup/items/DronePickup.cc
===================================================================
--- /code/branches/presentation2012merge/src/modules/pickup/items/DronePickup.cc	(revision 9312)
+++ /code/branches/presentation2012merge/src/modules/pickup/items/DronePickup.cc	(revision 9313)
@@ -75,5 +75,5 @@
     {
         this->addTarget(ClassIdentifier<Pawn>::getIdentifier());
-        this->setDurationTypeDirect(pickupDurationType::once);
+        this->setDurationType(pickupDurationType::once);
         this->droneTemplate_ = "";
     }
Index: /code/branches/presentation2012merge/src/modules/pickup/items/MetaPickup.cc
===================================================================
--- /code/branches/presentation2012merge/src/modules/pickup/items/MetaPickup.cc	(revision 9312)
+++ /code/branches/presentation2012merge/src/modules/pickup/items/MetaPickup.cc	(revision 9313)
@@ -80,5 +80,5 @@
         this->addTarget(ClassIdentifier<PickupCarrier>::getIdentifier());
 
-        this->setDurationTypeDirect(pickupDurationType::once);
+        this->setDurationType(pickupDurationType::once);
         this->metaType_ = pickupMetaType::none;
     }