Index: data/pool/audio/sounds/AUTHORS
===================================================================
--- data/pool/audio/sounds/AUTHORS	(revision 9311)
+++ data/pool/audio/sounds/AUTHORS	(revision 9315)
@@ -10,8 +10,4 @@
 Engine_low.ogg                                 Kevin Young - Samples (License: CC Sampling+) from: ReWire (SHMIR and Vents)
 Engine_off.ogg                                 Kevin Young - Samples (License: CC Sampling+) from: ReWire (SHMIR and Vents)
-laser1.wav                                     unknown
-pong_bat.wav                                   Erwin Herrsche?
-pong_score.wav                                 Erwin Herrsche?
-pong_side.wav                                  Erwin Herrsche?
 Rocket_engine.ogg                              Kevin Young
 Rocket_explosion.ogg                           Kevin Young - Samples (License: CC Sampling+) from: sleep (BOMB)
Index: data/pool/fonts/AUTHORS
===================================================================
--- data/pool/fonts/AUTHORS	(revision 9311)
+++ data/pool/fonts/AUTHORS	(revision 9315)
@@ -6,5 +6,4 @@
 bluecond.ttf                                          Larabie fonts “read_me.html"
 bluehigh.ttf                                          Larabie fonts “read_me.html"
-console.fontdef                                       Felix Schulthess?
 LiberationMono.fontdef                                Larabie fonts “read_me.html"
 LiberationMono.ttf                                    Larabie fonts “read_me.html"
@@ -24,5 +23,4 @@
 Tt-Kp.fontdef                                         Larabie fonts “read_me.html"
 Tt-Kp.ttf                                             Larabie fonts “read_me.html"
-typewriter.ttf                                        Felix Schulthess?
 VeraMono.fontdef                                      Larabie fonts “read_me.html"
 VeraMono.ttf                                          Larabie fonts “read_me.html"
Index: data/pool/fonts/console.fontdef
===================================================================
--- data/pool/fonts/console.fontdef	(revision 9311)
+++ 	(revision )
@@ -1,10 +1,0 @@
-Console
-{
-	type 		truetype
-	source 	typewriter.ttf
-	size 		32
-	resolution 	96
-	code_points 33-126 161-255 
-}
-
-
Index: data/pool/gui/imagesets/AUTHORS
===================================================================
--- data/pool/gui/imagesets/AUTHORS	(revision 9311)
+++ data/pool/gui/imagesets/AUTHORS	(revision 9315)
@@ -2,7 +2,5 @@
 
 File                                          Author
-DriveIcons.imageset                           Reto Grieder?
-FairChar.imageset                             Reto Grieder?
-Imageset.xsd                                  Reto Grieder?
+Imageset.xsd                                  CEGUI
 MainMenuBackground.imageset                   Benjamin Knecht
 OrxonoxLook.imageset                          Damian Frick, based on TaharezGreenLook.imageset
Index: data/pool/gui/imagesets/DriveIcons.imageset
===================================================================
--- data/pool/gui/imagesets/DriveIcons.imageset	(revision 9311)
+++ 	(revision )
@@ -1,12 +1,0 @@
-<?xml version="1.0"?>
-<Imageset Name="DriveIcons" Imagefile="DriveIcons.png" NativeHorzRes="800" NativeVertRes="600" AutoScaled="true">
-	<Image Name="Artic" XPos="0" YPos="0" Width="32" Height="32" />
-	<Image Name="Lime" XPos="32" YPos="0" Width="32" Height="32" />
-	<Image Name="Sunset" XPos="64" YPos="0" Width="32" Height="32" />
-	<Image Name="Black" XPos="96" YPos="0" Width="32" Height="32" />
-	<Image Name="Blue" XPos="128" YPos="0" Width="32" Height="32" />
-	<Image Name="Silver" XPos="0" YPos="32" Width="32" Height="32" />
-	<Image Name="DriveStack" XPos="32" YPos="32" Width="32" Height="32" />
-	<Image Name="GreenCandy" XPos="64" YPos="32" Width="32" Height="32" />
-	<Image Name="GlobalDrive" XPos="96" YPos="32" Width="32" Height="32" />
-</Imageset>
Index: data/pool/gui/imagesets/FairChar.imageset
===================================================================
--- data/pool/gui/imagesets/FairChar.imageset	(revision 9311)
+++ 	(revision )
@@ -1,30 +1,0 @@
-<?xml version="1.0" ?>
-<Imageset Name="FairChar" Imagefile="FairChar.png" NativeHorzRes="800" NativeVertRes="600" AutoScaled="true">
-	<Image Name=" " XPos="0"   YPos="0"  Width="0"  Height="0" />
-	<Image Name="A" XPos="4"   YPos="1"  Width="30" Height="30" YOffset="-30" />
-	<Image Name="B" XPos="35"  YPos="1"  Width="31" Height="30" YOffset="-30" />
-	<Image Name="C" XPos="68"  YPos="1"  Width="31" Height="30" YOffset="-30" />
-	<Image Name="D" XPos="98"  YPos="1"  Width="32" Height="30" YOffset="-30" />
-	<Image Name="E" XPos="131" YPos="1"  Width="32" Height="30" YOffset="-30" />
-	<Image Name="F" XPos="163" YPos="1"  Width="32" Height="30" YOffset="-30" />
-	<Image Name="G" XPos="196" YPos="1"  Width="30" Height="30" YOffset="-30" />
-	<Image Name="H" XPos="1"   YPos="94" Width="30" Height="30" YOffset="-30" />
-	<Image Name="I" XPos="32"  YPos="94" Width="25" Height="30" YOffset="-30" />
-	<Image Name="J" XPos="1"   YPos="32" Width="24" Height="30" YOffset="-30" />
-	<Image Name="K" XPos="28"  YPos="32" Width="30" Height="30" YOffset="-30" />
-	<Image Name="L" XPos="60"  YPos="32" Width="30" Height="30" YOffset="-30" />
-	<Image Name="M" XPos="92"  YPos="32" Width="30" Height="30" YOffset="-30" />
-	<Image Name="N" XPos="123" YPos="32" Width="31" Height="30" YOffset="-30" />
-	<Image Name="O" XPos="156" YPos="32" Width="30" Height="30" YOffset="-30" />
-	<Image Name="P" XPos="187" YPos="32" Width="31" Height="30" YOffset="-30" />
-	<Image Name="Q" XPos="58"  YPos="94" Width="30" Height="30" YOffset="-30" />
-	<Image Name="R" XPos="89"  YPos="94" Width="32" Height="30" YOffset="-30" />
-	<Image Name="S" XPos="1"   YPos="63" Width="30" Height="30" YOffset="-30" />
-	<Image Name="T" XPos="32"  YPos="63" Width="24" Height="30" YOffset="-30" />
-	<Image Name="U" XPos="59"  YPos="63" Width="30" Height="30" YOffset="-30" />
-	<Image Name="V" XPos="91"  YPos="63" Width="30" Height="30" YOffset="-30" />
-	<Image Name="W" XPos="123" YPos="63" Width="30" Height="30" YOffset="-30" />
-	<Image Name="X" XPos="155" YPos="63" Width="30" Height="30" YOffset="-30" />
-	<Image Name="Y" XPos="186" YPos="63" Width="30" Height="30" YOffset="-30" />
-	<Image Name="Z" XPos="123" YPos="94" Width="30" Height="30" YOffset="-30" />
-</Imageset>
Index: data/pool/images/effects/AUTHORS
===================================================================
--- data/pool/images/effects/AUTHORS	(revision 9311)
+++ data/pool/images/effects/AUTHORS	(revision 9315)
@@ -12,13 +12,13 @@
 backlighttrail.png                           Fabian Landau
 backlighttrail2.png                          David Gassner
-bigflame.png                                 unknown
+bigflame.png                                 OGRE Particle Editor
 bigflare1.png                                Fabian Landau
 clouds.png                                   Benjamin de Capitani
 explosion3.png                               Fabian Landau
-explosion.png                                unknown
+explosion.png                                OGRE Particle Editor
 flare2_1.png                                 David Gassner
-flare2.png                                   unknown
+flare2.png                                   David Gassner
 flare.png                                    Felix Schulthess
-flaretrail.png                               unknown
+flaretrail.png                               OGRE Particle Editor
 LightningBall_1.png                          Joël Smely
 LightningBall_2.png                          Joël Smely
@@ -47,6 +47,6 @@
 planets/violetplanet.png                     Damian Frick
 primitives/sphere.png                        Damian Frick
-ring_flare2.png                              unknown
-ring_flare.png                               unknown
+ring_flare2.png                              OGRE Particle Editor
+ring_flare.png                               OGRE Particle Editor
 Sepia1D.png                                  Fabian Landau?
 smoke2.png                                   Fabian Landau
@@ -54,5 +54,4 @@
 smoke4.png                                   Gion-Andri Cantieni
 smoke.png                                    Benjamin de Capitani
-smokecolors.png                              unknown
-streak.png                                   unknown
+streak.png                                   OGRE Particle Editor
 
Index: data/pool/images/gui/AUTHORS
===================================================================
--- data/pool/images/gui/AUTHORS	(revision 9311)
+++ data/pool/images/gui/AUTHORS	(revision 9315)
@@ -2,6 +2,4 @@
 
 File                                             Author
-DriveIcons.png                                   Reto Grieder?
-FairChar.png                                     Reto Grieder?
 main_menu_1.jpg                                  Reto Grieder
 OrxonoxLook.png                                  Damian Frick
Index: data/pool/images/skyboxes/AUTHORS
===================================================================
--- data/pool/images/skyboxes/AUTHORS	(revision 9311)
+++ data/pool/images/skyboxes/AUTHORS	(revision 9315)
@@ -20,16 +20,4 @@
 skybox3_rt.png                              Benjamin de Capitani
 skybox3_up.png                              Benjamin de Capitani
-skypanoramagen1_bk.jpg                      Fabian Landau?
-skypanoramagen1_dn.jpg                      Fabian Landau?
-skypanoramagen1_fr.jpg                      Fabian Landau?
-skypanoramagen1_lf.jpg                      Fabian Landau?
-skypanoramagen1_rt.jpg                      Fabian Landau?
-skypanoramagen1_up.jpg                      Fabian Landau?
-skypanoramagen2_bk.jpg                      Fabian Landau?
-skypanoramagen2_dn.jpg                      Fabian Landau?
-skypanoramagen2_fr.jpg                      Fabian Landau?
-skypanoramagen2_lf.jpg                      Fabian Landau?
-skypanoramagen2_rt.jpg                      Fabian Landau?
-skypanoramagen2_up.jpg                      Fabian Landau?
 starbox_bk.jpg                              Felix Schulthess
 starbox_dn.jpg                              Felix Schulthess
Index: data/pool/materials/OrxonoxSky.material
===================================================================
--- data/pool/materials/OrxonoxSky.material	(revision 9311)
+++ data/pool/materials/OrxonoxSky.material	(revision 9315)
@@ -1,37 +1,2 @@
-material Orxonox/skypanoramagen1
-{
-	technique
-	{
-		pass
-		{
-			lighting off
-			depth_write off
-
-			texture_unit
-			{
-				cubic_texture skypanoramagen1.jpg separateUV
-				tex_address_mode clamp
-			}
-		}
-	}
-}
-
-material Orxonox/skypanoramagen2
-{
-	technique
-	{
-		pass
-		{
-			lighting off
-			depth_write off
-
-			texture_unit
-			{
-				cubic_texture skypanoramagen2.jpg separateUV
-				tex_address_mode clamp
-			}
-		}
-	}
-}
 
 material Orxonox/Starbox
Index: data/pool/materials/planets.material
===================================================================
--- data/pool/materials/planets.material	(revision 9311)
+++ data/pool/materials/planets.material	(revision 9315)
@@ -107,5 +107,5 @@
 }
 
-material planets/violetplanet
+material planets/violetplanet2
 {
 	technique
@@ -119,5 +119,5 @@
 			texture_unit
 			{
-				texture violetplanet.png
+				texture violetplanet2.png
 			}
 		}