Index: /code/branches/presentation2012merge/data/levels/FPSTest.oxw
===================================================================
--- /code/branches/presentation2012merge/data/levels/FPSTest.oxw	(revision 9315)
+++ /code/branches/presentation2012merge/data/levels/FPSTest.oxw	(revision 9316)
@@ -23,5 +23,5 @@
   <Scene
    ambientlight = "0.1, 0.1, 0.1"
-   skybox       = "Orxonox/skypanoramagen1"
+   skybox       = "Orxonox/skyBoxBasic"
    gravity      = "0,-1000,0"
    negativeWorldRange = "-100000, -100000, -100000"
Index: /code/branches/presentation2012merge/data/levels/docking.oxw
===================================================================
--- /code/branches/presentation2012merge/data/levels/docking.oxw	(revision 9315)
+++ /code/branches/presentation2012merge/data/levels/docking.oxw	(revision 9316)
@@ -21,5 +21,5 @@
   <Scene
    ambientlight = "0.5, 0.5, 0.5"
-   skybox       = "Orxonox/skypanoramagen1"
+   skybox       = "Orxonox/skyBoxBasic"
   >
 
Index: /code/branches/presentation2012merge/data/levels/events.oxw
===================================================================
--- /code/branches/presentation2012merge/data/levels/events.oxw	(revision 9315)
+++ /code/branches/presentation2012merge/data/levels/events.oxw	(revision 9316)
@@ -22,5 +22,5 @@
   <Scene
    ambientlight = "0.5, 0.5, 0.5"
-   skybox       = "Orxonox/skypanoramagen1"
+   skybox       = "Orxonox/skyBoxBasic"
   >
     <Light type=directional position="0,0,0" direction="0.253, 0.593, -0.765" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0" />
Index: /code/branches/presentation2012merge/data/levels/fightInOurBack.oxw
===================================================================
--- /code/branches/presentation2012merge/data/levels/fightInOurBack.oxw	(revision 9315)
+++ /code/branches/presentation2012merge/data/levels/fightInOurBack.oxw	(revision 9316)
@@ -121,5 +121,5 @@
     <Scene
      ambientlight="0.8,0.8,0.8"
-     skybox="Orxonox/skypanoramagen1"
+     skybox="Orxonox/skyBoxBasic"
     >
 
Index: /code/branches/presentation2012merge/data/levels/lastTeamStanding.oxw
===================================================================
--- /code/branches/presentation2012merge/data/levels/lastTeamStanding.oxw	(revision 9315)
+++ /code/branches/presentation2012merge/data/levels/lastTeamStanding.oxw	(revision 9316)
@@ -27,5 +27,5 @@
   <Scene
     ambientlight = "0.8, 0.8, 0.8"
-    skybox       = "Orxonox/skypanoramagen1"
+    skybox       = "Orxonox/skyBoxBasic"
   >
   <?lua include("includes/notifications.oxi") ?>
Index: /code/branches/presentation2012merge/data/levels/lastTeamStandingII.oxw
===================================================================
--- /code/branches/presentation2012merge/data/levels/lastTeamStandingII.oxw	(revision 9315)
+++ /code/branches/presentation2012merge/data/levels/lastTeamStandingII.oxw	(revision 9316)
@@ -25,5 +25,5 @@
   <Scene
     ambientlight = "0.8, 0.8, 0.8"
-    skybox       = "Orxonox/skypanoramagen1"
+    skybox       = "Orxonox/skyBoxBasic"
   >
 <!-- TODO:
Index: /code/branches/presentation2012merge/data/levels/notifications.oxw
===================================================================
--- /code/branches/presentation2012merge/data/levels/notifications.oxw	(revision 9315)
+++ /code/branches/presentation2012merge/data/levels/notifications.oxw	(revision 9316)
@@ -21,5 +21,5 @@
     <Scene
         ambientlight = "0.5, 0.5, 0.5"
-        skybox       = "Orxonox/skypanoramagen1"
+        skybox       = "Orxonox/skyBoxBasic"
     >
 
Index: /code/branches/presentation2012merge/data/levels/old/presentationPhysics.oxw
===================================================================
--- /code/branches/presentation2012merge/data/levels/old/presentationPhysics.oxw	(revision 9315)
+++ /code/branches/presentation2012merge/data/levels/old/presentationPhysics.oxw	(revision 9316)
@@ -12,5 +12,5 @@
   <Scene
    ambientlight = "0.8, 0.8, 0.8"
-   skybox       = "Orxonox/skypanoramagen1"
+   skybox       = "Orxonox/skyBoxBasic"
    gravity      = "0, -10, 0"
   >
Index: /code/branches/presentation2012merge/data/levels/old/princessAeryn.oxw
===================================================================
--- /code/branches/presentation2012merge/data/levels/old/princessAeryn.oxw	(revision 9315)
+++ /code/branches/presentation2012merge/data/levels/old/princessAeryn.oxw	(revision 9316)
@@ -15,5 +15,5 @@
     <Scene
         ambientlight = "0.3, 0.3, 0.3"
-        skybox       = "Orxonox/skypanoramagen1"
+        skybox       = "Orxonox/skyBoxBasic"
     >
 
Index: /code/branches/presentation2012merge/data/levels/pirateAttack.oxw
===================================================================
--- /code/branches/presentation2012merge/data/levels/pirateAttack.oxw	(revision 9315)
+++ /code/branches/presentation2012merge/data/levels/pirateAttack.oxw	(revision 9316)
@@ -39,5 +39,5 @@
     <Scene
         ambientlight = "0.3, 0.3, 0.3"
-        skybox       = "Orxonox/skypanoramagen1"
+        skybox       = "Orxonox/skyBoxBasic"
     >
 
Index: /code/branches/presentation2012merge/data/levels/planets.oxw
===================================================================
--- /code/branches/presentation2012merge/data/levels/planets.oxw	(revision 9315)
+++ /code/branches/presentation2012merge/data/levels/planets.oxw	(revision 9316)
@@ -21,5 +21,5 @@
   <Scene
     ambientlight = "0.8, 0.8, 0.8"
-    skybox       = "Orxonox/skypanoramagen1"
+    skybox       = "Orxonox/skyBoxBasic"
   >
 
Index: /code/branches/presentation2012merge/data/levels/pong.oxw
===================================================================
--- /code/branches/presentation2012merge/data/levels/pong.oxw	(revision 9315)
+++ /code/branches/presentation2012merge/data/levels/pong.oxw	(revision 9316)
@@ -63,5 +63,5 @@
   <Scene
    ambientlight = "0.5, 0.5, 0.5"
-   skybox       = "Orxonox/skypanoramagen1"
+   skybox       = "Orxonox/skyBoxBasic"
   >
     <Light type=directional position="0,0,0" direction="0.253, 0.593, -0.765" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0" />
@@ -92,5 +92,5 @@
             <ParticleSpawner name=scoreeffect_left position="-120,0,-45" source="Orxonox/sparks2" lifetime=0.1 autostart=0 />
 
-            <WorldSound name="scoreSound" position="0,0,0" source="sounds/pong_score.wav" >
+            <WorldSound name="scoreSound" position="0,0,0" source="Earth.ogg" >
               <events>
                 <play>
Index: /code/branches/presentation2012merge/data/levels/portals.oxw
===================================================================
--- /code/branches/presentation2012merge/data/levels/portals.oxw	(revision 9315)
+++ /code/branches/presentation2012merge/data/levels/portals.oxw	(revision 9316)
@@ -23,5 +23,5 @@
   <Scene
    ambientlight = "0.5, 0.5, 0.5"
-   skybox       = "Orxonox/skypanoramagen1"
+   skybox       = "Orxonox/skyBoxBasic"
   >
 
Index: /code/branches/presentation2012merge/data/levels/presentation09.oxw
===================================================================
--- /code/branches/presentation2012merge/data/levels/presentation09.oxw	(revision 9315)
+++ /code/branches/presentation2012merge/data/levels/presentation09.oxw	(revision 9316)
@@ -22,5 +22,5 @@
   <Scene
    ambientlight = "0.5, 0.5, 0.5"
-   skybox       = "Orxonox/skypanoramagen1"
+   skybox       = "Orxonox/skyBoxBasic"
   >
   
Index: /code/branches/presentation2012merge/data/levels/presentation09b.oxw
===================================================================
--- /code/branches/presentation2012merge/data/levels/presentation09b.oxw	(revision 9315)
+++ /code/branches/presentation2012merge/data/levels/presentation09b.oxw	(revision 9316)
@@ -26,5 +26,5 @@
   <Scene
    ambientlight = "0.5, 0.5, 0.5"
-   skybox       = "Orxonox/skypanoramagen2"
+   skybox       = "Orxonox/skyBoxSomeNebula"
   >
 
Index: /code/branches/presentation2012merge/data/levels/presentationDM.oxw
===================================================================
--- /code/branches/presentation2012merge/data/levels/presentationDM.oxw	(revision 9315)
+++ /code/branches/presentation2012merge/data/levels/presentationDM.oxw	(revision 9316)
@@ -24,5 +24,5 @@
   <Scene
    ambientlight = "0.5, 0.5, 0.5"
-   skybox       = "Orxonox/skypanoramagen1"
+   skybox       = "Orxonox/skyBoxBasic"
   >
     <Light type=directional position="0,0,0" direction="0.253, 0.593, -0.765" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0" />
Index: /code/branches/presentation2012merge/data/levels/presentationFS102.oxw
===================================================================
--- /code/branches/presentation2012merge/data/levels/presentationFS102.oxw	(revision 9315)
+++ /code/branches/presentation2012merge/data/levels/presentationFS102.oxw	(revision 9316)
@@ -23,5 +23,5 @@
   <Scene
    ambientlight = "0.1, 0.1, 0.1"
-   skybox       = "Orxonox/skypanoramagen1"
+   skybox       = "Orxonox/skyBoxBasic"
    gravity      = "0,-1000,0"
    negativeWorldRange = "-100000, -100000, -100000"
Index: /code/branches/presentation2012merge/data/levels/presentationFS10Ed.oxw
===================================================================
--- /code/branches/presentation2012merge/data/levels/presentationFS10Ed.oxw	(revision 9315)
+++ /code/branches/presentation2012merge/data/levels/presentationFS10Ed.oxw	(revision 9316)
@@ -23,5 +23,5 @@
   <Scene
    ambientlight = "0.1, 0.1, 0.1"
-   skybox       = "Orxonox/skypanoramagen1"
+   skybox       = "Orxonox/skyBoxBasic"
    gravity      = "0,-1000,0"
    negativeWorldRange = "-100000, -100000, -100000"
Index: /code/branches/presentation2012merge/data/levels/presentationHS09.oxw
===================================================================
--- /code/branches/presentation2012merge/data/levels/presentationHS09.oxw	(revision 9315)
+++ /code/branches/presentation2012merge/data/levels/presentationHS09.oxw	(revision 9316)
@@ -27,5 +27,5 @@
   <Scene
    ambientlight = "0.6, 0.4, 0.4"
-   skybox       = "Orxonox/skypanoramagen2"
+   skybox       = "Orxonox/skyBoxSomeNebula"
   >
 
Index: /code/branches/presentation2012merge/data/levels/princessAeryn.oxw
===================================================================
--- /code/branches/presentation2012merge/data/levels/princessAeryn.oxw	(revision 9315)
+++ /code/branches/presentation2012merge/data/levels/princessAeryn.oxw	(revision 9316)
@@ -26,5 +26,5 @@
   <Scene
     ambientlight = "0.3, 0.3, 0.3"
-    skybox     = "Orxonox/skypanoramagen1"
+    skybox     = "Orxonox/skyBoxBasic"
   >
 
Index: /code/branches/presentation2012merge/data/levels/screenshot.oxw
===================================================================
--- /code/branches/presentation2012merge/data/levels/screenshot.oxw	(revision 9315)
+++ /code/branches/presentation2012merge/data/levels/screenshot.oxw	(revision 9316)
@@ -25,5 +25,5 @@
   <Scene
    ambientlight = "0.7, 0.6, 0.6"
-   skybox       = "Orxonox/skypanoramagen1"
+   skybox       = "Orxonox/skyBoxBasic"
   >
     <!--Light type=directional position="0,0,0" direction="0.253, 0.593, -0.765" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0" /-->
Index: /code/branches/presentation2012merge/data/levels/teamBaseMatch.oxw
===================================================================
--- /code/branches/presentation2012merge/data/levels/teamBaseMatch.oxw	(revision 9315)
+++ /code/branches/presentation2012merge/data/levels/teamBaseMatch.oxw	(revision 9316)
@@ -26,5 +26,5 @@
   <Scene
    ambientlight = "0.5, 0.5, 0.5"
-   skybox       = "Orxonox/skypanoramagen1"
+   skybox       = "Orxonox/skyBoxBasic"
   >
     <Light type=directional position="0,0,0" direction="0.253, 0.593, -0.765" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0" />
Index: /code/branches/presentation2012merge/data/levels/teamDeathMatch.oxw
===================================================================
--- /code/branches/presentation2012merge/data/levels/teamDeathMatch.oxw	(revision 9315)
+++ /code/branches/presentation2012merge/data/levels/teamDeathMatch.oxw	(revision 9316)
@@ -25,5 +25,5 @@
   <Scene
    ambientlight = "0.7, 0.6, 0.6"
-   skybox       = "Orxonox/skypanoramagen1"
+   skybox       = "Orxonox/skyBoxBasic"
   >
     <Light type=directional position="0,0,0" direction="0.253, 0.593, -0.765" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0" />
Index: /code/branches/presentation2012merge/data/levels/testSwallow.oxw
===================================================================
--- /code/branches/presentation2012merge/data/levels/testSwallow.oxw	(revision 9315)
+++ /code/branches/presentation2012merge/data/levels/testSwallow.oxw	(revision 9316)
@@ -23,5 +23,5 @@
   <Scene
    ambientlight = "0.5, 0.5, 0.5"
-   skybox       = "Orxonox/skypanoramagen1"
+   skybox       = "Orxonox/skyBoxBasic"
   >
     <Light type=directional position="0,0,0" direction="0.253, 0.593, -0.765" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0" />
Index: /code/branches/presentation2012merge/data/levels/tetris.oxw
===================================================================
--- /code/branches/presentation2012merge/data/levels/tetris.oxw	(revision 9315)
+++ /code/branches/presentation2012merge/data/levels/tetris.oxw	(revision 9316)
@@ -63,5 +63,5 @@
   <Scene
    ambientlight = "0.5, 0.5, 0.5"
-   skybox       = "Orxonox/skypanoramagen1"
+   skybox       = "Orxonox/skyBoxBasic"
   >
 <!--luke_grey_-_hypermode.ogg allgorythm-lift_up.ogg Fight1.ogg -->
Index: /code/branches/presentation2012merge/data/levels/theTimeMachine.oxw
===================================================================
--- /code/branches/presentation2012merge/data/levels/theTimeMachine.oxw	(revision 9315)
+++ /code/branches/presentation2012merge/data/levels/theTimeMachine.oxw	(revision 9316)
@@ -75,5 +75,5 @@
     <Scene
         ambientlight="0.8,0.8,0.8"
-        skybox="Orxonox/skypanoramagen2"
+        skybox="Orxonox/skyBoxSomeNebula"
     >
 
Index: /code/branches/presentation2012merge/data/levels/tutorial.oxw
===================================================================
--- /code/branches/presentation2012merge/data/levels/tutorial.oxw	(revision 9315)
+++ /code/branches/presentation2012merge/data/levels/tutorial.oxw	(revision 9316)
@@ -24,5 +24,5 @@
   <Scene
    ambientlight = "0.5, 0.5, 0.5"
-   skybox       = "Orxonox/skypanoramagen1"
+   skybox       = "Orxonox/skyBoxBasic"
   >
 <Drone name="meineDrohne" primarythrust="80" auxilarythrust="10" rotationthrust="10" mass= "50" linearDamping = "0.9" angularDamping = "0.7">
Index: /code/branches/presentation2012merge/data/levels/underAttack.oxw
===================================================================
--- /code/branches/presentation2012merge/data/levels/underAttack.oxw	(revision 9315)
+++ /code/branches/presentation2012merge/data/levels/underAttack.oxw	(revision 9316)
@@ -24,5 +24,5 @@
   <Scene
    ambientlight = "0.5, 0.5, 0.5"
-   skybox       = "Orxonox/skypanoramagen1"
+   skybox       = "Orxonox/skyBoxBasic"
   >
     <Light type=directional position="0,0,0" direction="0.253, 0.593, -0.765" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0" />
Index: /code/branches/presentation2012merge/data/levels/waypoints.oxw
===================================================================
--- /code/branches/presentation2012merge/data/levels/waypoints.oxw	(revision 9315)
+++ /code/branches/presentation2012merge/data/levels/waypoints.oxw	(revision 9316)
@@ -23,5 +23,5 @@
   <Scene
    ambientlight = "0.5, 0.5, 0.5"
-   skybox       = "Orxonox/skypanoramagen1"
+   skybox       = "Orxonox/skyBoxBasic"
   >
     <Light type=directional position="0,0,0" direction="0.253, 0.593, -0.765" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0" />
Index: de/branches/presentation2012merge/data/particle/smoke1.particle
===================================================================
--- /code/branches/presentation2012merge/data/particle/smoke1.particle	(revision 9315)
+++ 	(revision )
@@ -1,43 +1,0 @@
-// Example particle systems
-
-// smoke
-particle_system Examples/Smoke
-{
-    	material        	Examples/Smoke
-    	particle_width  	55
-    	particle_height 	55
-    	cull_each       	true
-    	quota           	500
-    	billboard_type  	point
-		sorted				true
-    
-    	// Area emitter
-    	emitter Point
-    	{
-		angle               		11
-        	emission_rate       		15
-        	time_to_live        		4
-        	direction           		0 1 0
-        	velocity_min        		150
-        	velocity_max        		240    	
-	}
-
-	affector ColourImage
-	{
-		image		smokecolors.png
-	}
-
-   	affector Rotator
-   	{
-        	rotation_range_start  		0
-        	rotation_range_end   	 	360
-        	rotation_speed_range_start  	-60
-        	rotation_speed_range_end    	200
-   	}
-
-   	affector Scaler
-   	{
-       	rate 	100
-   	}
-
-}